package autocode

import (
	"github.com/flipped-aurora/gin-vue-admin/server/api/v1"
	"github.com/flipped-aurora/gin-vue-admin/server/middleware"
	"github.com/gin-gonic/gin"
)

type UnitHistoryRouter struct {
}

// InitUnitHistoryRouter 初始化 UnitHistory 路由信息
func (s *UnitHistoryRouter) InitUnitHistoryRouter(Router *gin.RouterGroup) {
	unitHistoryRouter := Router.Group("unitHistory").Use(middleware.OperationRecord())
	var unitHistoryApi = v1.ApiGroupApp.AutoCodeApiGroup.UnitHistoryApi
	{
		unitHistoryRouter.POST("createUnitHistory", unitHistoryApi.CreateUnitHistory)             // 新建UnitHistory
		unitHistoryRouter.DELETE("deleteUnitHistory", unitHistoryApi.DeleteUnitHistory)           // 删除UnitHistory
		unitHistoryRouter.DELETE("deleteUnitHistoryByIds", unitHistoryApi.DeleteUnitHistoryByIds) // 批量删除UnitHistory
		unitHistoryRouter.PUT("updateUnitHistory", unitHistoryApi.UpdateUnitHistory)              // 更新UnitHistory
		unitHistoryRouter.GET("findUnitHistory", unitHistoryApi.FindUnitHistory)                  // 根据ID获取UnitHistory
		unitHistoryRouter.GET("getUnitHistoryList", unitHistoryApi.GetUnitHistoryList)            // 获取UnitHistory列表
	}
}
